
/***************************************************************************
                 module classe ta_ver_traadv_cen2.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, October 20, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3)
{ /*
	1	from	ta_hor_traadv_cen2	1  i	j    k    t
	2	from	zcent_ver_traadv_cen2	1  i	j    k    t
	3	from	zcent_ver_traadv_cen2	1  i	j    k+1  t
  */
  double ze3tr;
  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YS1=0.;
    }
    else{
      ze3tr = 1./fse3t(Yi,Yj,Yk);
      YS1   = x1-ze3tr*(x2-x3);
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3)
{
  YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.; 

  if(Yt!=TU){  
    double ze3tr;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.; 
    }
    else{
      ze3tr = 1./fse3t(Yi,Yj,Yk);
      YJ1I1= 1.; 
      YJ1I2= -ze3tr;
      YJ1I3= ze3tr;
    }
  }
  //
  
  
}

  //===========================================================================
//*************************  FIN DU MODULE ta_ver_traadv_cen2   *************************

