
/***************************************************************************
                 module classe zcent_ver_traadv_cen2.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, October 20, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3)
{ /*
	1	from	wa    	  		1  i	j    k    t-1
	2	from	ta    	  		1  i	j    k    t-1
	3	from	ta    	  		1  i	j    k-1  t-1
  */

  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==0 || Yk==NZ-1){
      YS1=0.;
      if(Yk==0) YS1= x1*x2;
    }
    else{
      YS1=0.5*x1*(x2+x3);
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3)
{
  YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.; 

  if(Yt!=TU){  
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==0 || Yk==NZ-1){
      YJ1I1=0.;     YJ1I2=0.;     YJ1I3=0.; 
      if(Yk==0){
	YJ1I1=x2;     YJ1I2=x1;
      }
    }
    else{
      YJ1I1= 0.5*(x2+x3); 
      YJ1I2= 0.5*x1;
      YJ1I3= 0.5*x1;
    }
  }
  //
  
  
}

  //===========================================================================
//*************************  FIN DU MODULE zcent_ver_traadv_cen2   *************************

