
/***************************************************************************
                 module classe zrhs_trazdf_imp.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 15, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1, YREAL x2)
{ /*	1	from	ta_traldf_lap		1  i 	j    k	  t
	2	from	tb			1  i 	j    k	  t-1*/
  /* YS1*/
  /*    ??
	??*/

  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1){
      YS1=0.;
    }
    else{
      YS1 = x2+r2dt*x1;//   ! zrhs=right hand side  (r2dt*RHS + T(t-1)(k))
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1, YREAL x2)
{
  YJ1I1=0.;     YJ1I2=0.;
  if(Yt!=TU){
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1){
      YJ1I1 = 0.;     YJ1I2 = 0.;
    }
    else{
      YJ1I1 = r2dt;     YJ1I2 = 1.;
    }
  }
  //
  
}

  //===========================================================================
//*************************  FIN DU MODULE zrhs_trazdf_imp   *************************

