
/***************************************************************************
                 module classe zrhs_ua_dynzdf_imp.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 15, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1, YREAL x2, YREAL x3)
{ /*	1	from	ua_dyn_hpg_zco		1  i 	j    k	  t
	2	from	ub			1  i 	j    k	  t-1
	3	from	sbcgyre_utau_vtau_wndm	1  i	j    	  t */
  /* YS1*/
  /*     2.060938356583834e-07
	 2.819052929015263e-10*/
  /* if (Yi==30 && Yj==1 && Yk==0 && Yt==16)
  {
      printf("zrhs_ua_dynzdf_imp:Yk=%i,x1=%f,x2=%f,x3=%f\n",Yk,x1,x2,x3);
      }  */

  if(Yt==TU)
    YS1=0.;
  else{
    double z2dtf;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1){
      YS1=0.;
    }
    else{
      if(Yk==0){
	z2dtf = r2dt / ( fse3u(Yi,Yj,0)*rau0 );
	YS1=x2 + r2dt*x1+z2dtf * x3;
      }
      else
	YS1 = x2+r2dt*x1;//   ! zrhs=right hand side
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1, YREAL x2, YREAL x3)
{
  
  YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;
  if(Yt!=TU){  
    double z2dtf;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1){
      YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;
    }
    else{
      if(Yk==0){
	z2dtf = r2dt / ( fse3u(Yi,Yj,0)*rau0 );
	YJ1I1=r2dt;
	YJ1I2=1.;
	YJ1I3=z2dtf;
      }
      else{
	YJ1I1=r2dt;
	YJ1I2=1.;
	YJ1I3=0.;
      }
    }
  }
  //
}

//===========================================================================
//******************  FIN DU MODULE zrhs_ua_dynzdf_imp   ********************

