#==============================================================================
# 		fichier de D'INSTRUCTIONS de référence
#Julien Brajard
#==============================================================================
#script faisant le forward du tourbillon sur 400 pdt (=800h=33 jours)
#paramètres à régler : TA=100 (49 pdt effectifs)
#NX=32,NY=22,NZ=31
#paramères de contrôle : aucun
#obs :aucune
#
print_time on

##INITIALISATION
#xistate_init 1 ../data_in/file_rest/GYRE_00000424_restart.nc
#xistate_init 1 ../data_in/file_rest/GYRE_00000400_restart.nc
xistate_init 1 ../data_in/file_rest/GYRE_824_restart_yao_eddy.nc

true_target_in_tab ta_c
xinitnc ../data_out/exp_T.nc

xwriteout 0 true ../data_out/exp_T.nc


print_time ON

#goto FORWARD1

#FORWARD 1
set_modeltime 0
init_euler 0
init_kt 0
set_modeltime 0
FORWARD 100 Tsbd
xrst_save ../data_in/file_rest/GYRE_099_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward99.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward99.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward99.dat

#FORWARD 2
xistate_init 1 ../data_in/file_rest/GYRE_099_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_199_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward199.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward199.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward199.dat

#FORWARD 3
xistate_init 1 ../data_in/file_rest/GYRE_199_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_299_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward299.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward299.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward299.dat

#FORWARD 4
xistate_init 1 ../data_in/file_rest/GYRE_299_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_399_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward399.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward399.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward399.dat

#FORWARD 5
xistate_init 1 ../data_in/file_rest/GYRE_399_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_499_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward499.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward499.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward499.dat

#FORWARD 6
xistate_init 1 ../data_in/file_rest/GYRE_499_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_599_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward599.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward599.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward599.dat

#FORWARD 7
xistate_init 1 ../data_in/file_rest/GYRE_599_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_699_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward699.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward699.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward699.dat

#FORWARD 8
xistate_init 1 ../data_in/file_rest/GYRE_699_restart_yao.nc
set_modeltime 0
init_euler 1
FORWARD 101 Tsbd
xrst_save ../data_in/file_rest/GYRE_799_restart_yao.nc
savestate tb 1 ijk 0 A 3 ../data_out/T_forward799.dat
savestate ub 1 ijk 0 A 3 ../data_out/ub_forward799.dat
savestate vb 1 ijk 0 A 3 ../data_out/vb_forward799.dat


goto FINRUN


FINRUN
